---
wsId: XcelPay
title: 'XcelPay: Bitcoin, Crypto & Ethereum Wallet App'
altTitle: 
authors:
- leo
users: 100000
appId: com.XcelTrip.XcelPay
appCountry: 
released: 2019-05-30
updated: 2022-05-30
version: 2.62.2
stars: 4.6
ratings: 3713
reviews: 72
size: 
website: http://www.xcelpay.io
repository: 
issue: 
icon: com.XcelTrip.XcelPay.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-05-25
signer: 
reviewArchive: 
twitter: XcelPayWallet
social:
- https://www.linkedin.com/company/in/xcelpaywallet
- https://www.facebook.com/xcelpay
redirect_from: 

---

This wallet has no claim of being non-custodial in the app's description.

The one-star ratings over and over tell:

* there is a referral program, promising rewards
* the rewards are never reflected in the wallet
* funds cannot be sent to a different wallet
* SCAM

As a probably custodial app, it is **not verifiable**.
